<?php

use Contao\System;
use Symfony\Component\HttpFoundation\Request;

use CreoCode\ContaoPopup\Models\PopupModel;
use CreoCode\ContaoPopup\Models\PopupSetModel;

/**
 * BACK END MODULES
 */
$GLOBALS['BE_MOD']['content']['popups'] = array(
    'tables' => ['tl_popup_set', 'tl_popup', 'tl_content']
);

/**
 * Add Files
 */
if (System::getContainer()->get('contao.routing.scope_matcher')->isBackendRequest(System::getContainer()->get('request_stack')->getCurrentRequest() ?? Request::create(''))) {
    $GLOBALS['TL_CSS'][] = 'bundles/contaopopup/css/backend.css';
}

/**
 * Hooks
 */
$GLOBALS['TL_HOOKS']['outputFrontendTemplate'][] = array('CreoCode\ContaoPopup\Classes\GeneratePage', 'addPopups');

/**
 * Register Models
 */
$GLOBALS['TL_MODELS'][PopupModel::getTable()] = PopupModel::class;
$GLOBALS['TL_MODELS'][PopupSetModel::getTable()] = PopupSetModel::class;

/**
 * Add permissions
 */
$GLOBALS['TL_PERMISSIONS'][] = 'popups';
$GLOBALS['TL_PERMISSIONS'][] = 'popupsp';
